Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObservableListIterator

Constructor Summary
`ObservableListIterator(ListIterator iterDelegate, int index)`

Method Summary
`void` | `add(Object o)`
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`ListIterator` | `getListIterator()`
`def` | `getPropertyChangeListeners()`
`def` | `getPropertyChangeListeners(String propertyName)`
`boolean` | `hasListeners(String propertyName)`
`boolean` | `hasPrevious()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `set(Object o)`

Constructor Detail

### ObservableListIterator

    public ObservableListIterator(ListIterator iterDelegate, int index)

Method Detail

### add

    public void add(Object o)

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener)

### getListIterator

    public ListIterator getListIterator()

### getPropertyChangeListeners

    public def getPropertyChangeListeners()

### getPropertyChangeListeners

    public def getPropertyChangeListeners(String propertyName)

### hasListeners

    public boolean hasListeners(String propertyName)

### hasPrevious

    public boolean hasPrevious()

### nextIndex

    public int nextIndex()

### previous

    public Object previous()

### previousIndex

    public int previousIndex()

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName, PropertyChangeListener listener)

### set

    public void set(Object o)